﻿ <%@ Page Language="C#" AutoEventWireup="true"  CodeBehind="TreeGridDefault.aspx.cs" Inherits="TreeGridSample.TreeGridDefault" %>

<%@ Register TagPrefix="ej" Namespace="Syncfusion.JavaScript.Models" Assembly="Syncfusion.EJ" %>
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Treegrid Sample</title>

    <script src="Scripts/Treegrid/jquery-1.10.2.min.js"></script>
    
    <script src="Scripts/Treegrid/jquery.easing.1.3.min.js"></script>
    <script src="Scripts/Treegrid/jsrender.min.js"></script>
    <script src="Scripts/Treegrid/ej.web.all.min.js"></script>
    <link href="Content/Treegrid/ej.widgets.core.min.css" rel="stylesheet" />
    <link href="Content/Treegrid/ej.theme.min.css" rel="stylesheet" />

<style>
            #customicon {
                background-image: url("../folder-open.png");
                position: absolute;
                background-repeat: no-repeat;
                height: 20px;
                width: 30px;
            }
    </style>   
</head>
   
<body>
    
    <form id="form1" runat="server" onsubmit="return false" style="overflow: hidden; padding:0; margin: 0;height:100%;width:100%;">
    
        <ej:treegrid ID="Treegrid" runat="server"  AllowColumnResize="true" AllowEditing="true" AllowFiltering="true"
            AllowSorting="true" ChildMapping="Children" EnableVirtualization="true" AllowDragAndDrop="true" ShowColumnChooser="true"
            TreeColumnIndex="1" load="onLoad"  Locale="en-US" Create="create">
            <Columns>              
                  <ej:treegridcolumn HeaderText="Task Id" Field="Id" Width="40" EditType="Numeric" FilterEditType="Numeric"  />
                <ej:treegridcolumn HeaderText="Task Name" Field="Name" EditType="String" FilterEditType="String" />
                <ej:treegridcolumn HeaderText="StartDateTime" Field="StartDate" EditType="Datepicker" FilterEditType="Datepicker" />
                <ej:treegridcolumn HeaderText="EndDateTime" Field="EndDate" EditType="Datepicker" FilterEditType="Datepicker"/>
                <ej:treegridcolumn HeaderText="Percentage" Field="PercentDone" EditType="Numeric" FilterEditType="Numeric"  />
            </Columns>
            <DragTooltip ShowTooltip="true" />
            <ToolbarSettings ShowToolbar="true" ToolbarItems="add,edit,delete,update,cancel,expandAll,collapseAll" />
             <ContextMenuSettings ShowContextMenu="true"
                ContextMenuItems="add,edit,delete" />
            <EditSettings AllowEditing="true"  />
            <SizeSettings Width="100%" Height="500px" />
            
        </ej:treegrid> 
         
        <script type="text/javascript">
         function create(args) {
             var toolbar = $("#Treegrid_toolbarItems");

           //Toolbar item to be added
             var toolbarItem = "<li tabindex= " + "0" + " title=" + "File Explorer" + " class=" + "e-tooltxt " + " id=" + "Treegrid_customicon " + " style=width:30px;height:24px;" + "><span id=customicon" + "></span></li>";

           //appending the new item to the existing toolbar
           $($(toolbar).children()).append(toolbarItem);

           $("#Treegrid_customicon").click(function () {
               alert("custom toolbar icon has been clicked");
           })
       }
          </script>
        </form>
</body>
</html>

